<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/basicinfo/Dt_AreaInfo.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/basicinfo/Dt_StationManager.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'areaID',
            footer: "Foots",
            cnName: '站台信息',
            name: 'basicinfo/Dt_StationManager',
            url: "/Dt_StationManager/",
            sortName: "AreaCode"
        });
        const editFormFields = ref({
            
        });
        const editFormOptions = ref([
            
        ]);
        const searchFormFields = ref({});
        const searchFormOptions = ref([
            [
                { "title": "站台类型", "field": "stationType", type: "text" },
                { "title": "所属PLC", "field": "stationPLC", type: "text" },
                { "title": "巷道号", "field": "roadway", type: "text" },
               
            ],
            [
                { "title": "设备区域", "field": "stationArea", type: "text" },
                { "title": "MOM设备编号", "field": "stationEquipMOM", type: "text" },
                { "title": "NG子设备编号", "field": "stationNGChildCode", type: "text" },
                
            ],
            [
                { "title": "NG子设备坐标", "field": "remark", type: "text" },
                { "title": "线体编号", "field": "stationChildCode", type: "text" },
                { "title": "产线", "field": "productLine", type: "text" },
                
            ]
        ]);
        const columns = ref([{ field: 'stationID', title: '主键', type: 'int', sort: true, hidden: true, width: 110, readonly: true, require: true, align: 'left' },
        { field: 'stationType', title: '站台类型', type: 'int', sort: true, width: 110, require: true, align: 'left', sort: true },
        { field: 'stationPLC', title: '所属PLC', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'roadway', title: '巷道号', type: 'string', sort: true, width: 110, align: 'left' },   
        { field: 'stationChildCode', title: '线体编号(子设备编号)', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'stationArea', title: '设备区域', type: 'int', sort: true, width: 100,  align: 'left' },
        { field: 'stationEquipMOM', title: 'MOM设备编号', type: 'string', sort: true, width: 150,  align: 'left' },
        { field: 'stationNGChildCode', title: 'NG子设备编号', type: 'string', sort: true, width: 110,  align: 'left' },
        { field: 'productLine', title: '产线', type: 'string', sort: true, width: 110,  align: 'left' },
        { field: 'remark', title: 'NG子设备坐标', type: 'string', sort: true, width: 110,  align: 'left' },
        { field: 'stationRemark', title: '备注', type: 'int', sort: true, width: 110, align: 'left',  },
        { field: 'creater', title: '创建人', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },
        { field: 'modifier', title: '修改人', type: 'string', sort: true, width: 100,  align: 'left' },
        { field: 'modifyDate', title: '修改时间', type: 'datetime', sort: true, width: 150,  align: 'left', sort: true },
        ]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
